%define devrel 6
%define devsnap 20210312git.ed14055
Name:           centpkg
Version:        %{!?devrel:0.4.6}%{?devrel:0.4.7}
Release:        %{?devrel:0.%{devrel}%{?devsnap:.%{devsnap}}.}1%{?dist}
Summary:        CentOS utility for working with dist-git
License:        GPLv2+
URL:            https://git.centos.org/centos/centpkg
Source0:        https://git.centos.org/centos/centpkg/archive/%{version}/centpkg-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
%if 0%{?rhel} > 0 && 0%{?rhel} < 8
BuildRequires:  python-setuptools
%else
BuildRequires:  %{py3_dist setuptools}
%endif

%description
Provides the centpkg command for working with dist-git


%package sig
Summary:        CentOS SIG utility for working with dist-git
Requires:       %{name} = %{version}-%{release}


%description sig
Provides the centpkg-sig command for working with dist-git.

%prep
%autosetup


%build
%py3_build


%install
%py3_install


%files
%license COPYING
%doc README.md
%config(noreplace) %{_sysconfdir}/rpkg/centpkg.conf
%{_bindir}/%{name}
%{python3_sitelib}/%{name}*


%files sig
%{_bindir}/%{name}-sig
%config(noreplace) %{_sysconfdir}/rpkg/centpkg-sig.conf


%changelog
* Thu Feb 25 2021 mkonecny@redhat.com 0.5.0-1
- Add centpkg-sig command

* Mon Nov 28 2016 brian@bstinson.com 0.4.6-1
- Tracking updates to rpkg (thanks pavlix)
- Fix the URL building code in the sources method

* Sat Jan 31 2015 Brian Stinson bstinson@ksu.edu - 0.4.4-1
- New version correcting the anonymous pull URLs

* Sun Dec 14 2014 Brian Stinson bstinson@ksu.edu - 0.4.3-1
- Use the authenticated git url for centpkg pulls

* Sun Dec 14 2014 Brian Stinson bstinson@ksu.edu - 0.4.2-1
- Fix the koji config path in centpkg.conf

* Sun Dec 14 2014 Brian Stinson bstinson@ksu.edu - 0.4.1-1
- Fix a disttag regression and add a "patch" version number

* Sat Nov 23 2014 Brian Stinson bstinson@ksu.edu - 0.2-1
- The srpm workflow to the CBS works now

* Sat Jul 05 2014 Brian Stinson bstinson@ksu.edu - 0.1-2
- Update readme and add exception checking when running toplevel commands

* Sat Jul 05 2014 Brian Stinson bstinson@ksu.edu - 0.1-1
- Local builds and mockbuilds work
